@echo off
REM   2011-12-27, Ver 0.1.01
REM   Companion batch file for mc2bsbh and imgkap to allow
REM   processing all chart in a CHARTCAL.DIR file at once
REM   (also by draging&dropping a CHARTCAL.DIR file)

set FILENAME=CHARTCAL.DIR

REM cd to directory of given CHARTCAL file
REM (if none given stay in current directory)
IF NOT "%~1" == "" (
  cd "%~d1%~p1"
  cd
  set FILENAME=%~s1
  echo.
)

REM Check if a %FILENAME% file exists in the current directory
IF NOT EXIST %FILENAME% (
  echo.
  echo Usage: Start in a directory that contains a CHARTCAL.DIR
  echo        file or drag and drop a CHARTCAL.DIR file.
  GOTO end
)

REM Process all files that %FILENAME% contains information about,
REM assuming image files are PNGs.
REM (1st word of mc2bsbh output is 'Create' and goes to dummy variable
REM C; remainder of each output line is file name and goes to variable D)
FOR /F "tokens=1,*" %%C IN ('mc2bsbh -e txt %FILENAME%') DO (
    imgkap -p MAP "%%~nD.png" "%%~nD.txt"
	del "%%~nD.txt"
    echo Created %%~nD.kap
)

echo.
echo Conversion complete
:end
echo.
pause